// SPDX-FileCopyrightText: 2017 - 2023 UnionTech Software Technology Co., Ltd.
//
// SPDX-License-Identifier: LGPL-3.0-or-later

#ifndef DEEPIN_TURBO_MODIFYSUBPROCESSINFO_H
#define DEEPIN_TURBO_MODIFYSUBPROCESSINFO_H

class ModifySubprocessInfo
{
public:
    explicit  ModifySubprocessInfo() = default;

    void modifyExePath(char *newPath);

private:
    int loadProcessMapsInfo(long *addrs, long *sizes,char perms[][4]);
    // 做内存映射
    bool doMemoryMap(int mfd, long *addrs, long *sizes, char perms[][4], int segs);
    bool updateProcessExePath(char *newPath);
};

#endif //DEEPIN_TURBO_MODIFYSUBPROCESSINFO_H
